import { Component, h, Host, Prop } from '@stencil/core';
import { MintStatus as Status } from '../../block';
export class MintStatus {
  render() {
    return (h(Host, null,
      h("div", { class: "mint-status", part: "status-bar" },
        h("span", null, "Status"),
        h("div", null,
          h("span", null, Status[this.mintStatus])))));
  }
  static get is() { return "mint-status"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["mint-status.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["mint-status.css"]
  }; }
  static get properties() { return {
    "mintStatus": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "Status",
        "resolved": "MintStatus.CLOSED | MintStatus.PRIVATE | MintStatus.PUBLIC",
        "references": {
          "Status": {
            "location": "import",
            "path": "../../block"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "mint-status",
      "reflect": false
    }
  }; }
}
