import { ContractType } from '../../block';
export declare class StructCore {
  contractAddress: string;
  testnet: boolean;
  type: ContractType;
  walletBtnText: string;
  mintBtnText: string;
  soldOutText: string;
  initialized: boolean;
  isMinting: boolean;
  isConnecting: boolean;
  selectedAmount: number;
  private block;
  connectedCallback(): void;
  selectAmountChanged(event: CustomEvent<number>): void;
  updateTotalSupply(event: CustomEvent<number>): void;
  render(): any;
  mint: () => Promise<void>;
  initiateWallet: () => Promise<void>;
}
